Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class DocumentInteractionSpecImpl

    java.lang.Object
      |
      +--com.bea.adapter.cci.InteractionSpecImpl
            |
            +--com.bea.adapter.cci.DocumentInteractionSpecImpl

public class DocumentInteractionSpecImpl
extends InteractionSpecImpl
implements DocumentInteractionSpec

Extends the base InteractionSpecImpl class to provide an implementation of the com.bea.connector.DocumentInteractionSpec interface.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected IDocument` | `m_defaultRequestDoc` Cached default document created with the request document definition; minOccurs is forced to 1 by default.
`protected IDocument` | `m_defaultResponseDoc` Cached default document created with the response document definition; minOccurs is forced to 1 by default.
`protected IDocumentDefinition` | `m_requestDocDef` Encapsulates the schema and root element name for the request document for this interaction.
`protected IDocumentDefinition` | `m_responseDocDef` Encapsulates the schema and root element name for the response document for this interaction.

Constructor Summary
`DocumentInteractionSpecImpl()`
`DocumentInteractionSpecImpl(java.lang.String strFunctionName)`
`DocumentInteractionSpecImpl(java.lang.String strFunctionName, int iVerb, int iTimeOut)`

Method Summary
`IDocument` | `getDefaultRequestDocument()`
`IDocument` | `getDefaultResponseDocument()`
`IDocumentDefinition` | `getRequestDocumentDefinition()`
`IDocumentDefinition` | `getResponseDocumentDefinition()`
`void` | `setRequestDocumentDefinition(IDocumentDefinition docDef)` Sets the request document definition
`void` | `setResponseDocumentDefinition(IDocumentDefinition docDef)` Sets the response document definition
`java.lang.String` | `toString()`
`void` | `vetoableChange(java.beans.PropertyChangeEvent evt)` Verifies if the given property change is valid; implements all of our property validation routines for the request/response document definitions

Methods inherited from class com.bea.adapter.cci.InteractionSpecImpl
`addPropertyChangeListener, addVetoableChangeListener, fireChangeEvent, getExecutionTimeout, getFunctionName, getInteractionVerb, getInteractionVerbAsStr, propertyChange, removePropertyChangeListener, removeVetoableChangeListener, setExecutionTimeout, setFunctionName, setInteractionVerb`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_requestDocDef

    protected IDocumentDefinition m_requestDocDef

  Encapsulates the schema and root element name for the request document for this interaction.

### m_responseDocDef

    protected IDocumentDefinition m_responseDocDef

  Encapsulates the schema and root element name for the response document for this interaction.

### m_defaultRequestDoc

    protected IDocument m_defaultRequestDoc

  Cached default document created with the request document definition; minOccurs is forced to 1 by default.

### m_defaultResponseDoc

    protected IDocument m_defaultResponseDoc

  Cached default document created with the response document definition; minOccurs is forced to 1 by default.

Constructor Detail

### DocumentInteractionSpecImpl

    public DocumentInteractionSpecImpl()

### DocumentInteractionSpecImpl

    public DocumentInteractionSpecImpl(java.lang.String strFunctionName)
                                throws javax.resource.ResourceException

### DocumentInteractionSpecImpl

    public DocumentInteractionSpecImpl(java.lang.String strFunctionName,
                                       int iVerb,
                                       int iTimeOut)
                                throws javax.resource.ResourceException

Method Detail

### setRequestDocumentDefinition

    public void setRequestDocumentDefinition(IDocumentDefinition docDef)
                                      throws javax.resource.ResourceException

  Sets the request document definition
  Specified by:
    setRequestDocumentDefinition in interface DocumentInteractionSpec

  Throws:
    javax.resource.ResourceException - if the new property value was vetoed by a registered listener

### getRequestDocumentDefinition

    public IDocumentDefinition getRequestDocumentDefinition()

  Specified by:
    getRequestDocumentDefinition in interface DocumentInteractionSpec

### setResponseDocumentDefinition

    public void setResponseDocumentDefinition(IDocumentDefinition docDef)
                                       throws javax.resource.ResourceException

  Sets the response document definition
  Specified by:
    setResponseDocumentDefinition in interface DocumentInteractionSpec

  Throws:
    javax.resource.ResourceException - if the new property value was vetoed by a registered listener

### getResponseDocumentDefinition

    public IDocumentDefinition getResponseDocumentDefinition()

  Specified by:
    getResponseDocumentDefinition in interface DocumentInteractionSpec

### getDefaultRequestDocument

    public IDocument getDefaultRequestDocument()

  Returns:
    a default document based on the request document definition; may return null if the request document definition has not been set.

### getDefaultResponseDocument

    public IDocument getDefaultResponseDocument()

  Returns:
    a default document based on the response document definition; may return null if the response document definition has not been set.

### vetoableChange

    public void vetoableChange(java.beans.PropertyChangeEvent evt)
                        throws java.beans.PropertyVetoException

  Verifies if the given property change is valid; implements all of our property validation routines for the request/response document definitions

  Overrides:
    vetoableChange in class InteractionSpecImpl

### toString

    public java.lang.String toString()

  Returns:
    a String representation of this instance; provides information about the request and response document definitions.
  Overrides:
    toString in class InteractionSpecImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)